Get System Licensing Info

Get System Licensing Info
Get the Licensing information of system

Get the Licensing information of system

Request
URI
GET
https://{api_host}/v1/licensing-info/system
COPY
Responses
200

Successful

Returns LicensingInfo of type(s) application/json
{
    "resourceType": "One among: SYSTEM, DOMAIN, CLUSTER, NSXT_CLUSTER",
    "resourceId": "string",
    "licensingMode": "One among: SUBSCRIPTION, PERPETUAL, MIXED",
    "subscriptionStatus": "One among: UNSUBSCRIBED, ACTIVE, EXPIRED",
    "subscribedState": "One among: UNSUBSCRIBED, PARTIALLY_SUBSCRIBED, SUBSCRIBED",
    "isRegistered": false,
    "isSubscribed": false,
    "daysRemainingToSubscribe": 0,
    "entitlements": {
        "hasNsxEntitlement": false
    }
}
string
resourceType
Required  
Constraints: minLength: 1

Type of the resource

string
resourceId
Optional

ID of the resource, need not be set for the resource of the type : SYSTEM

string
licensingMode
Optional

Licensing mode

string
subscriptionStatus
Optional

Status of the subscription mode

string
subscribedState
Read-Only  

Subscribed state

boolean
isRegistered
Optional

Flag indicating the resource is registered for subscription or not

boolean
isSubscribed
Read-Only  

Flag indicating the resource is subscribed or not

integer As int32 As int32
daysRemainingToSubscribe
Read-Only  

Number of days remaining to subscribe

object
entitlements
Optional

Entitlements of the resource


500

Internal server error

Returns Error of type(s) application/json
{
    "errorCode": "string",
    "errorType": "string",
    "arguments": [
        "string"
    ],
    "context": {
        "context": "string"
    },
    "notifications": [
        {
            "severity": "string",
            "message": "string",
            "remediations": [
                {
                    "message": "string",
                    "link": "string"
                }
            ],
            "impactMessage": "string"
        }
    ],
    "message": "string",
    "remediationMessage": "string",
    "causes": [
        {
            "type": "string",
            "message": "string"
        }
    ],
    "nestedErrors": [
        {
            "errorCode": "string",
            "errorType": "string",
            "arguments": [
                "string"
            ],
            "context": {
                "context": "string"
            },
            "notifications": [
                {
                    "severity": "string",
                    "message": "string",
                    "remediations": [
                        {
                            "message": "string",
                            "link": "string"
                        }
                    ],
                    "impactMessage": "string"
                }
            ],
            "message": "string",
            "remediationMessage": "string",
            "causes": [
                {
                    "type": "string",
                    "message": "string"
                }
            ],
            "nestedErrors": [
                "Error Object"
            ],
            "referenceToken": "string",
            "label": "string",
            "remediationUrl": "string"
        }
    ],
    "referenceToken": "string",
    "label": "string",
    "remediationUrl": "string"
}
string
errorCode
Read-Only  

The minor error code

string
errorType
Read-Only  

The error type

array of string
arguments
Read-Only  

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only  

The error context (e.g. the component where it occurred).

array of object
notifications
Read-Only  

Detailed results of the precheck validation.

string
message
Read-Only  

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of object
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only  

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Read-Only  

The localized label message

string
remediationUrl
Read-Only  

The URL string for remediation documentation link


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v1/licensing-info/system